<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.PurchaseOrderMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.PurchaseOrderDO">
		<result property="orderId" column="order_id"/>
		<result property="active" column="active"/>
		<result property="originPrincipal" column="origin_principal"/>
		<result property="pricingMethod" column="pricing_method"/>
		<result property="orderSn" column="order_sn"/>
		<result property="saleAmount" column="sale_amount"/>
		<result property="packageFee" column="package_fee"/>
		<result property="avgUnitPrice" column="avg_unit_price"/>
		<result property="rebate" column="rebate"/>
		<result property="grossWeight" column="gross_weight"/>
		<result property="netWeight" column="net_weight"/>
		<result property="totalCost" column="total_cost"/>
		<result property="freightCharge" column="freight_charge"/>
		<result property="supplierCount" column="supplier_count"/>
		<result property="state" column="state"/>
		<result property="remark" column="remark"/>
		<result property="createdBy" column="created_by"/>
		<result property="createdByName" column="created_by_name"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

